<html>
	<head>
		<title>Eclipse WTP 3.4 M3 News</title>
	</head>
	<body>
		<h1>Eclipse Web Tools Platform 3.4 M3 - New and Noteworthy</h1>
	<p>
	Here are some of the more noteworthy features available in WTP 3.4
	milestone build M3 (November 4th, 2011).
		<a href="http://download.eclipse.org/webtools/downloads/">Download</a>
		it now!
	</p>
		<h2>Projects</h2>
		<ul>
<!--  			<li>  -->
<!--  				<a  -->
<!--  					href="common.php"  -->
<!--  				>Common Tools</a>  -->
<!--  			</li>  -->
 			<li> 
 				<a 
 					href="jpt.php" 
 				>Dali Java Persistence Tools</a> 
 			</li> 
 			<li> 
 				<a 
 					href="javaee.php" 
 				>Java EE and EJB Tools</a> 
 			</li> 
<!--  			<li>  -->
<!--  				<a  -->
<!--  					href="jsf.php"  -->
<!--  				>JavaServer Faces Tools</a>  -->
<!--  			</li>  -->
 			<li> 
 				<a 
 					href="libra.php" 
 				>Libra Enterprise Tools for the OSGi Service Platform</a> 
 				<br /> 
 			</li> 
<!--             <li>  -->
<!--                 <a  -->
<!--                     href="server.php">Server Tools</a>  -->
<!--             </li>  -->
			<li>
				<a
					href="sourceediting.php"
				>Source Editing</a>
			</li>
<!--  			<li>  -->
<!--  				<a  -->
<!--  					href="webservices.php"  -->
<!--  				>Web Services and WSDL Tools</a>  -->
<!--  				<br />  -->
<!--  			</li>  -->
			<li>
				<a
					href="incubator.php"
				>Incubator</a>
				(available through a separate
				<a
					href="http://download.eclipse.org/webtools/downloads/"
				>download</a>).
			</li>
 		</ul>
		<p>
			Here are the
			<a
				href="https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&amp;classification=WebTools&amp;target_milestone=3.1+M3&amp;target_milestone=3.4+M3&amp;resolution=FIXED&amp;chfieldfrom=2011-04-01&amp;chfieldto=2011-12-31&amp;chfield=resolution&amp;cmdtype=doit"
			>bugs that were fixed</a>
			during this milestone (additional fixes may have been recorded against 			<a
				href="https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced&amp;classification=WebTools&amp;target_milestone=3.0.2&amp;target_milestone=3.3.2&amp;resolution=FIXED&amp;chfieldfrom=2011-04-01&amp;chfieldto=2011-12-31&amp;chfield=resolution&amp;cmdtype=doit"
			>WTP 3.3.2</a>
).
		</p>
		<p>
			The above features are just the ones that are new since the last
			milestone build. Summaries for earlier builds:
			<ul>
				<li>
					<a
						href="../main.php"
					>Full summaries for earlier milestones and releases.</a>
				</li>
			</ul>
		</p>
	</body>
</html>
